Cant configure Apache in Mint 16 MATE

Questions about applications and software
Forum rules
Before you post please read this

Cant configure Apache in Mint 16 MATE

Postby ingeva on Mon Dec 23, 2013 7:30 am

After installing Mint 16 I can't get Apache to work.
I have several domains on my local computer, occupying different direcories.
Whatever site I try, I get the famous "It works!" from the default directory /var/www/.
The instructions in "sites-enabled" are simply ignored.
I have tried everything thinkable, and recommended changes in ports.conf result in error messages.
All I know about this Apache version is the version number: 2.4.6 (from the error log).

I have a similar problem with Ubuntu 13.10 Server, but slighly different, and this is about Mint, of course.

Snippet of my "sites" file:
Code: Select all
<VirtualHost *:80>
   ServerAdmin inge@ef
   ServerName ef
   DocumentRoot /Store/PINYL/public_html/com/ef
</VirtualHost>


Does anyone else have similar experiences - and a solution?
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am

Linux Mint is funded by ads and donations.
 

Re: Cant configure Apache in Mint 16 MATE

Postby ingeva on Sat Dec 28, 2013 4:33 am

ingeva wrote:After installing Mint 16 I can't get Apache to work.

I'm doing web development and depend on having a web server on my local computer, so I must have this problem solved or I can't continue using Mint.

I really don't want the hassle of learning to set up another web server (nginx), so I'll appreciate any help. The Apache documentation doesn't cover this new version, and it's inconsistent. Some of the "updates" only result in error messages.
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am


Re: Cant configure Apache in Mint 16 MATE

Postby ingeva on Sun Dec 29, 2013 5:54 am

administrollaattori wrote:Install XAMPP .. :wink:
http://www.apachefriends.org/en/xampp-linux.html

The downloaded file is not executable, and it's not a text file (bash).

What IS this? Is this a verified solution in any way?
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am

Re: Cant configure Apache in Mint 16 MATE

Postby administrollaattori on Sun Dec 29, 2013 6:13 am

ingeva wrote:
administrollaattori wrote:Install XAMPP .. :wink:
http://www.apachefriends.org/en/xampp-linux.html

The downloaded file is not executable, and it's not a text file (bash).

What IS this? Is this a verified solution in any way?

It is Apache server for any system .. :wink:
After downloading simply type in the following commands:
1.Go to a Linux shell and login as the system administrator root:
su
2.Change the permissions to the installer
chmod 755 xampp-linux-1.8.2-0-installer.run

3. Run the installer
./xampp-linux-1.8.2-0-installer.run

4. Set security settings
/opt/lampp/lampp security

http://www.youtube.com/watch?v=cP49GSf3SRM
User avatar
administrollaattori
Level 6
Level 6
 
Posts: 1124
Joined: Tue Sep 03, 2013 4:51 am

Re: Cant configure Apache in Mint 16 MATE

Postby ingeva on Sun Dec 29, 2013 6:21 am

administrollaattori wrote:
After downloading simply type in the following commands:
1.Go to a Linux shell and login as the system administrator root:
su
2.Change the permissions to the installer
chmod 755 xampp-linux-1.8.2-0-installer.run

Oh, well, can you believe it? I forgot to set the Xecute bit! I think the '.run' extention
confused me. Never seen that before.
So now I'll boot the Mint16 system and test. When I have time.

Thanks!

Oh, BTW, the YouTube video is useless, but I'll read the documentation and I'll be fine. :)
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am

Re: Cant configure Apache in Mint 16 MATE

Postby administrollaattori on Sun Dec 29, 2013 6:31 am

ingeva wrote:Oh, BTW, the YouTube video is useless, but I'll read the documentation and I'll be fine. :)

The video is old, but here is a brand new video about WordPress installation to the XAMPP server .. :D
http://www.youtube.com/watch?v=k-VpBtxd ... e=youtu.be
User avatar
administrollaattori
Level 6
Level 6
 
Posts: 1124
Joined: Tue Sep 03, 2013 4:51 am

Re: Cant configure Apache in Mint 16 MATE

Postby ingeva on Sun Dec 29, 2013 6:41 am

administrollaattori wrote:
ingeva wrote:Oh, BTW, the YouTube video is useless, but I'll read the documentation and I'll be fine. :)

The video is old, but here is a brand new video about WordPress installation to the XAMPP server .. :D
http://www.youtube.com/watch?v=k-VpBtxd ... e=youtu.be

That one is OK, but I don't use WP, and I prefer documentation that I can read in my own pace. :)

Digression:
My web development is mainly based on my own framework, which is much more flexible than any
of the CMS systems that I've seen, that require a LOT of knowledge and experience to go behind
the curtain to fix all the things they can't do. However, for a few very simple websites I've been using
Joomla!, which I prefer over WP.
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am

Re: Cant configure Apache in Mint 16 MATE

Postby Ryu945 on Sat Jan 11, 2014 11:46 am

When I ran this it said command now found.

./xampp-linux-1.8.3-2-installer.run

I am using linux mint 16 xfce.

I also tried /bin/bash xampp-linux-1.8.3-2-installer.run and it still doesn't work. It says cannot execute binary file.
Linux Mint 16 XFCE 64 Bit
Ryu945
Level 2
Level 2
 
Posts: 57
Joined: Thu Nov 28, 2013 11:47 pm

Re: Cant configure Apache in Mint 16 MATE

Postby ingeva on Sat Jan 11, 2014 12:00 pm

Ryu945 wrote:When I ran this it said command now found.
./xampp-linux-1.8.3-2-installer.run
I am using linux mint 16 xfce.
I also tried /bin/bash xampp-linux-1.8.3-2-installer.run and it still doesn't work. It says cannot execute binary file.
I haven't had time to respond to this before. My installation seemed to be OK (Had to set the execute bit on the file!), but the server never started. Besides, it had to be started from a session, so it seems to not work from background/root. So for me, no progress. Besides, LAMP should work like it did in earlier versions, so it needs to be fixed, or the documentation needs to be updated because what worked in Mint 15, does not work in Mint 16. Ubuntu 13.10 has similar problems, BTW, so I can't update my backup server either.
inge - experienced Ubuntu & Mint user
User avatar
ingeva
Level 2
Level 2
 
Posts: 66
Joined: Wed Jun 20, 2012 3:39 am

Re: Cant configure Apache in Mint 16 MATE

Postby Ryu945 on Sun Jan 12, 2014 10:27 am

Does anyone know how to get the installer to work on a linux mint 16 xfce?
Linux Mint 16 XFCE 64 Bit
Ryu945
Level 2
Level 2
 
Posts: 57
Joined: Thu Nov 28, 2013 11:47 pm

Re: Cant configure Apache in Mint 16 MATE

Postby administrollaattori on Thu Jan 16, 2014 3:12 pm

Ryu945 wrote:When I ran this it said command now found.

./xampp-linux-1.8.3-2-installer.run

I am using linux mint 16 xfce.

I also tried /bin/bash xampp-linux-1.8.3-2-installer.run and it still doesn't work. It says cannot execute binary file.


1.Change the permissions to the installer
Code: Select all
sudo chmod 755 xampp-linux-1.8.2-0-installer.run


2. Run the installer
Code: Select all
sudo ./xampp-linux-1.8.2-0-installer.run


3. Set security settings
Code: Select all
sudo /opt/lampp/lampp security
User avatar
administrollaattori
Level 6
Level 6
 
Posts: 1124
Joined: Tue Sep 03, 2013 4:51 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Oldbwl and 22 guests